<?php
function gp_saved()
{
    echo '<div id="message" class="updated fade">Settings Saved</div>';
}

function gp_dashboard()
{
    echo '<div class="wrap">';
    echo '<div id="icon-plugins" class="icon32"><br /></div>';
    echo '<div class="tool-box"><h2>Google+ Settings</h2>';
    
    if (isset($_POST['submit'])) {

        if (empty($_POST['gplus_id']))
            echo '<div class="error" style="padding:5px;"><b>Error,Your <code>Google Plus ID</code> is Empty</b></div>';
        update_option('gplus_id', sanitize_text_field($_POST['gplus_id']));   
           
        if (empty($_POST['gp_client_id']))
            echo '<div class="error" style="padding:5px;"><b>Error,Your <code>Client ID</code> is Empty</b></div>';
        update_option('gp_client_id', sanitize_text_field($_POST['gp_client_id']));
            
        if (empty($_POST['gp_client_secret']))
            echo '<div class="error" style="padding:5px;"><b>Error,Your <code>Client Secret</code> is Empty</b></div>';
        update_option('gp_client_secret', sanitize_text_field($_POST['gp_client_secret']));
                    
        if (empty($_POST['gp_redirect_uri']))
            echo '<div class="error" style="padding:5px;"><b>Error,Your <code>Redirect URI</code> is Empty</b></div>';
        update_option('gp_redirect_uri', sanitize_text_field($_POST['gp_redirect_uri']));

        if (empty($_POST['gp_api_key']))
            echo '<div class="error" style="padding:5px;"><b>Error,Your <code>Api Key</code> is Empty</b></div>';
        update_option('gp_api_key', sanitize_text_field($_POST['gp_api_key']));
    }
?>

<img width="50px" src="/wp-content/plugins/google-plus-button/img/google_plus_logo.jpg"><br />

<div class="tool-box">
	<form method="post">						
	<table class="form-table">
	<tr valign="top"><th scope="row"><label>Client ID:</label></th>
	<td><input name="gp_client_id" type="text" id="gp_client_id" value="<?php
		if (get_option('gp_client_id') && (strlen('gp_client_id')) > 1) {
			echo get_option('gp_client_id');
		}
	?>" class="regular-text code" />
	</td></tr>
	<tr valign="top"><th scope="row"><label>Client Secret:</label></th>
	<td><input name="gp_client_secret" type="text" id="gp_client_secret" value="<?php
		if (get_option('gp_client_secret') && (strlen('gp_client_secret')) > 1) {
			echo get_option('gp_client_secret');
		}
	?>" class="regular-text code" />
	</td></tr>
	<tr valign="top"><th scope="row"><label>Redirect URIs:</label></th>
	<td><input name="gp_redirect_uri" type="text" id="gp_redirect_uri" value="<?php
		if (get_option('gp_redirect_uri') && (strlen('gp_redirect_uri')) > 1) {
			echo get_option('gp_redirect_uri');
		}
	?>" class="regular-text code" />
	</td></tr>
	<tr valign="top"><th scope="row"><label>Api Key:</label></th>
	<td><input name="gp_api_key" type="text" id="gp_api_key" value="<?php
		if (get_option('gp_api_key') && (strlen('gp_api_key')) > 1) {
			echo get_option('gp_api_key');
		}
	?>" class="regular-text code" />
	</td></tr>
	<tr valign="top"><th scope="row"><label for="upload_path">Google+ ID:</label></th>
	<td><input name="gplus_id" type="text" id="gplus_id" value="<?php    
		if (get_option('gplus_id') && (strlen('gplus_id')) > 1) {
			echo get_option('gplus_id');
		}
	?>" class="regular-text code" />
	</td>
	</tr>
	</table>
	<hr />
	<h3>Tutorial</h3>

	<p>Start using the Google APIs console to manage your API usage</p>
	<ol>
	<li>Point your browser to <a target="blank" href="https://code.google.com/apis/console/">https://code.google.com/apis/console/</a> and it will take you to the login page of the API Console.<br /> Once you logged in with your email and password, following will appear. Click on the <strong>Create Project</strong>.</li>
	<li>In the list of services find the <strong>Google+ API</strong> and Click on <code>'off'</code> to turn it <code>on</code>.</li>
	<li>In the next screen chek <strong>I Agree..</strong> and click on <strong>Accept</strong>. You will see that the button next to Google+ API has changed to following</li>
	<li>Now click on the <code>API Access</code> on the left sidebar and it will ask you to <code>Create an OAuth 2.0 client id...</code></li>
	<li>Then click the <code>Create an OAuth 2.0 client id</code> button.</li>
	<li>Fill a product name, upload an image as logo of your project, and click <code>Next</code>.</li>
	<li>In the next screen choose a <code>Web application</code> and insert <strong>your domain/site</strong>.</li>
	<li>Click <strong>Create client ID</strong>
	<li>Copy the settings here</li>
	</ol>
<p class="submit"><input type="submit" name="submit" id="submit" class="button-primary" value="Save"  /></p>				
</form>
</div>

<?php   
    echo '</div><!-- wrap -->';
}

function gp_one_settings()
{
    if ($_POST) {
        update_option('gp_one', GP::serial($_POST));
        gp_saved();
    }
    
    if (gp_one)
        extract(GP::unserial(get_option('gp_one')));
    echo '<div class="wrap">';
    echo '<div id="icon-options-general" class="icon32"><br /></div>';
    echo '<div class="tool-box"><h2>Google+ One Settings</h2>';
?>
<style>
.gp_bb{
border-bottom:#dfdfdf 1px solid;
}
.gp_size{
float:left; height: 75px;
}
</style>

<img width="50px" src="/wp-content/plugins/google-plus-button/img/google_plus_logo.jpg"><br />

	<form name="gp_one" id="gp_one" method="post">
	    <table>  <tr><td>
	<h3 class="gp_bb">Size</h3>
	
	<table>
		<tr>
			<td style="width: 150px; height: 100px;">
			<input type="radio" name="size" value="standard" <?php if (($size == 'standard') || (!$size)) echo ' checked';?>></input>
			<label>Standard</label>
			</td>
			<td>
			<?php gp_one('http://www.google.com/');?>
			</td>
		</tr>
		
		<tr>
			<td style="width: 150px; height: 100px;">
			<input type="radio" name="size" value="small" <?php if ($size == 'small') echo ' checked'; ?>></input>
			<label>Small</label>
			</td>
			<td>
			<?php gp_one('http://www.google.com/', 'small'); ?>
			</td>
		</tr>
		
		<tr>
			<td style="width: 150px; height: 100px;">
			<input type="radio" name="size" value="medium" <?php if ($size == 'medium') echo ' checked'; ?>></input>
			<label>Medium</label>
			</td>
			<td>
			<?php gp_one('http://www.google.com/', 'medium'); ?>
			</td>
		</tr>
		
		<tr>
			<td style="width: 150px; height: 100px;">
			<input type="radio" name="size" value="tall" <?php if ($size == 'tall') echo ' checked'; ?>></input>
			<label>Tall</label>
			</td>
			<td>
			<?php gp_one('http://www.google.com/', 'tall'); ?>
			</td>
		</tr>
	</table>
	
            </td>
        </tr>
        <tr>
            <td><h3 class="gp_bb">Location</h3>
                <input type="radio" name="position" value="" <?php if (!$position) echo 'checked="checked"'; ?> />
                <label><span style="color:red;">None</span></label><br />
                <input type="radio" name="position" value="before" <?php if ($position == 'before') echo 'checked="checked"'; ?> />
                <label>Before Content</label><br />
                <input type="radio" name="position" value="after" <?php if ($position == 'after') echo 'checked="checked"'; ?> />
                <label>After Content</label><br />
                <input type="radio" name="position" value="both" <?php if ($position == 'both') echo 'checked="checked"'; ?> />
                <label>Both Before and After Content</label><br />
            </td>
        </tr>
  <tr><td>
	<h3 class="gp_bb">Counter</h3>
		<input type="checkbox" name="counter" value="true"<?php if ($counter == true) echo ' checked'; ?>>
		<label>Include Counter with Button</label>
            </td>
        </tr>
        <tr>
            <td><h3 class="gp_bb">Display</h3>
                <input type="checkbox" value="1" <?php if ($home == '1') echo 'checked="checked"'; ?> name="home" />
                <label>Display Button On Home Page</label>
                    <br />
                <input type="checkbox" value="1" <?php if ($page == '1') echo 'checked="checked"'; ?> name="page" />
                <label>Display Button on All Pages</label>
                    <br />
                <input type="checkbox" value="1" <?php if ($attachment == '1') echo 'checked="checked"'; ?> name="attachment" />
                <label for="display_post">Display Button on Attachments</label>
					<br />
                <input type="checkbox" value="1" <?php if ($post == '1') echo 'checked="checked"'; ?> name="post" />
                <label>Display Button on Posts</label>

            </td>
        </tr>
        <tr>
            <td>
		<input type="submit" value="Save Settings" class="button-primary" />
            </td>
        </tr>
</table>
	</form>
</div>
	
<?php
}
?>